# $Id: multipass.rb 7 2005-04-24 10:46:14Z tilman $

require "src/slider.rb"
require "src/button.rb"

include Redact

load "README"
load "acknowledge.txt"

EDJE.collection("euphoria") do |c|
	c.set_size(252, 333)

	c.data["shaped"] = "true"
	c.data["has_volume_slider"] = "true"
	c.data["has_eq_slider"] = "true"

	c.script =<<SMALL
public toggle_state_repeat;
public toggle_state_shuffle;
public toggle_state_crossfade;
public toggle_state_drawer;
public toggle_state_eq;
public toggle_state_eq_auto;
public drawer_timer;

#{File.read("src/player-display-track.sma")}

public drawer_timer_cb (val)
{
	/* don't hide the side drawers if the bottom drawer is visible */
	if (!get_int (toggle_state_drawer))
		run_program (PROGRAM:"player.normal.group.drawer.hide");
}

#{File.read("src/message_handler.sma")}
SMALL

	c.part("root", :rect) do |p|
		p.mouse_events = false

		p.description do |d|
			g = c.min
			d.set_size(g[0], g[1])

			d.color = "#00000000"
		end
	end

	load "src/init.rb"
	load "src/player-drawer-bottom.rb"
	load "src/player-drawer-bottom-eq.rb"
	load "src/player-drawer-volume.rb"
	load "src/player-drawer-left.rb"

	load "src/player-main-background.rb"
	load "src/player-main-buttons.rb"

	load "src/player-display.rb"
	load "src/player-display-background.rb"
	load "src/player-display-buttons.rb"
	load "src/player-display-track.rb"
	load "src/player-display-seeker.rb"
	load "src/intro.rb"
	load "src/player-overlay.rb"
end

EDJE.collection("playlist") do |c|
	c.set_min(450, 150)

	c.data["shaped"] = "true"

	c.part("root", :rect) do |p|
		p.mouse_events = false
		p.description.color = "#00000000"
	end

	load "src/playlist-background.rb"
	load "src/playlist-buttons.rb"
end

EDJE.collection("playlist_item") do |c|
	c.set_size(150, 10)

	c.part("title", :text) do |p|
		p.effect = :outline

		p.description do |d|
			d.color = TEXT_COLOR
			d.outline_color = OUTLINE_COLOR

			d.font = "fonts/acknowledge2.ttf"
			d.font_size = 12
			d.text = "Dark Tranquillity - Through Smudged Lenses"
			d.set_text_align(0.0)
		end
	end

	c.part("length", :text) do |p|
		p.effect = :outline

		p.description do |d|
			d.color = TEXT_COLOR
			d.outline_color = OUTLINE_COLOR

			d.font = "fonts/acknowledge2.ttf"
			d.font_size = 12
			d.text = "04:11"
			d.set_text_align(1.0)
		end
	end
end
